@echo off

REM ############################################################################
REM
REM
REM    Install Spaghetti AI for Windows using NVIDIA GPU
REM
REM
REM    Instructions for this file
REM
REM        This is the file you should launch once the app is installed. You can
REM        create a shortcut to this file to use it.
REM
REM
REM ############################################################################

REM
REM      HF_HUB_OFFLINE
REM
REM        To allow data to download, set HF_HUB_OFFLINE to 0. Do not include
REM        any spaces before or after the equals sign. Once you have used each
REM        model, the refiner, and the upscaler, I recommend setting this back
REM        to 1. If you don't, model data will often download even though you
REM        don't need an updated version. The older versions will not be deleted
REM        automatically. That means your drive would eventually run out of
REM        space if you never deleted older versions.
REM
REM        To have model data download, this variable must be set to 0 if using
REM        this script. You must also set "only_use_local_files" to "0" in
REM        "spaghetti_ai_script.py". If either is not that, model data will not
REM        download.
REM

set HF_HUB_OFFLINE=1

REM
REM      HF_HUB_DISABLE_TELEMETRY
REM
REM        This disables telemetry.
REM
REM        About:
REM          https://huggingface.co/docs/huggingface_hub/package_reference/environment_variables#hfhubdisabletelemetry
REM
REM      DO_NOT_TRACK
REM
REM        This one might do more.
REM
REM        About:
REM          https://github.com/huggingface/huggingface_hub/pull/1920

set HF_HUB_DISABLE_TELEMETRY=1
set DO_NOT_TRACK=1

REM ############################################################################

cd C:/Spaghetti_AI

call .venv/Scripts/activate.bat

py .venv/app_files/spaghetti_ai_script.py

cmd /k